"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const mobx_react_1 = require("mobx-react");
const react_1 = tslib_1.__importDefault(require("react"));
const editable_cell_1 = tslib_1.__importDefault(require("./editable-cell"));
function Cell(props) {
    if (props.editable) {
        return react_1.default.createElement(editable_cell_1.default, Object.assign({}, props));
    }
    return (react_1.default.createElement("td", { className: "url_table__row__cell" }, props.field.render(props.record)));
}
exports.default = mobx_react_1.observer(Cell);
//# sourceMappingURL=cell.js.map