"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const mobx_react_1 = require("mobx-react");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = require("../../store/context");
function Loading() {
    const store = react_1.useContext(context_1.TableContext);
    const loadingComponent = store.props.loadingComponent ? store.props.loadingComponent(store.isLoading) : 'Loading...';
    return (react_1.default.createElement("tr", { className: "url_table__progress" },
        react_1.default.createElement("td", { colSpan: store.fields.length }, loadingComponent)));
}
exports.default = mobx_react_1.observer(Loading);
//# sourceMappingURL=loading.js.map